Bridges
Configurations that connect the ledger to external financial systems — a bridge declares its capabilities (`debits`, `credits`, `anchors`, `events`) and the URL of your bridge server.
List bridges
Authorization
BearerAuth LedgerHeader Access token obtained from POST /oauth/token
In: header
Handle of the target ledger (e.g. demo-co)
In: header
Query Parameters
Maximum records to return
25value <= 100Records to skip
0Response Body
application/json
curl -X GET "https://demo-co.ldg-stg.one/api/v2/bridges"{
"data": [
{
"handle": "bancorojo.com.co/minka",
"url": "https://bridge.bancorojo.com.co/v2",
"traits": [
"debits",
"credits"
],
"auth": {
"schema": "header",
"headers": {
"property1": "string",
"property2": "string"
},
"clientId": "string",
"clientSecret": "string",
"tokenUrl": "http://example.com",
"public": "string",
"secret": "string"
},
"custom": {}
}
],
"meta": {
"total": 4,
"limit": 25,
"offset": 0
}
}Register bridge
Authorization
BearerAuth LedgerHeader Access token obtained from POST /oauth/token
In: header
Handle of the target ledger (e.g. demo-co)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://demo-co.ldg-stg.one/api/v2/bridges" \ -H "Content-Type: application/json" \ -d '{ "data": { "handle": "bancorojo.com.co/minka", "url": "https://bridge.bancorojo.com.co/v2", "traits": [ "debits", "credits" ], "auth": { "schema": "oauth2", "clientId": "minka-hub-client", "clientSecret": "s3cr3t", "tokenUrl": "https://auth.bancorojo.com.co/oauth/token" } } }'{
"data": {
"handle": "bancorojo.com.co/minka",
"url": "https://bridge.bancorojo.com.co/v2",
"traits": [
"debits",
"credits"
],
"auth": {
"schema": "header",
"headers": {
"property1": "string",
"property2": "string"
},
"clientId": "string",
"clientSecret": "string",
"tokenUrl": "http://example.com",
"public": "string",
"secret": "string"
},
"custom": {}
}
}Get bridge
Authorization
BearerAuth LedgerHeader Access token obtained from POST /oauth/token
In: header
Handle of the target ledger (e.g. demo-co)
In: header
Path Parameters
Record handle
Response Body
application/json
application/json
curl -X GET "https://demo-co.ldg-stg.one/api/v2/bridges/pay-20260608-001"{
"data": {
"handle": "bancorojo.com.co/minka",
"url": "https://bridge.bancorojo.com.co/v2",
"traits": [
"debits",
"credits"
],
"auth": {
"schema": "header",
"headers": {
"property1": "string",
"property2": "string"
},
"clientId": "string",
"clientSecret": "string",
"tokenUrl": "http://example.com",
"public": "string",
"secret": "string"
},
"custom": {}
}
}{
"error": {
"code": "not-found",
"message": "Wallet not found"
}
}Activate bridge
Authorization
BearerAuth LedgerHeader Access token obtained from POST /oauth/token
In: header
Handle of the target ledger (e.g. demo-co)
In: header
Path Parameters
Record handle
Response Body
application/json
curl -X POST "https://demo-co.ldg-stg.one/api/v2/bridges/pay-20260608-001/activate"{
"error": {
"code": "not-found",
"message": "Wallet not found"
}
}Policies
Ledger-wide access rules that define which signers (via circles) can perform which operations on which record types.
Bridge Server
Endpoints your bridge server must implement to participate in the two-phase commit protocol — the ledger calls these to prepare and commit debits and credits on external bank accounts.